package library.core.system;



/**
 * image poolでの画像検索に使用、これをもとにBitMapデータを取得する
 * @author 貴裕
 *
 */
public class CoreImageData implements Cloneable{

 	private String fileName;
	private int pointX;
	private int pointY;
	private int spritW;
	private int spritH;

	private boolean isSpriteImage=false;
	/**
	 * 分割画像の場合
	 * @param fileName
	 * @param px
	 * @param py
	 * @param w
	 * @param h
	 */
	public CoreImageData(String fileName,int px,int py,int w,int h){
		this.fileName=fileName;
		this.pointX=px;
		this.pointY=py;
		this.spritW=w;
		this.spritH=h;

		isSpriteImage=true;
	}

	/**
	 * 単体画像
	 * @param fileName
	 */
	public CoreImageData(String fileName){
		this.fileName=fileName;
		this.pointX=0;
		this.pointY=0;
		this.spritW=0;
		this.spritH=0;

		isSpriteImage=false;
	}


	@Override
	public CoreImageData clone(){
		CoreImageData i=null;

		try {
			i=(CoreImageData)super.clone();
			i.fileName=this.fileName;
		} catch (CloneNotSupportedException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}

		return i;
	}

	public String getFileName() {
		return fileName;
	}

	public int getPointX() {
		return pointX;
	}

	public int getPointY() {
		return pointY;
	}

	public int getSpritW() {
		return spritW;
	}

	public int getSpritH() {
		return spritH;
	}

	public boolean isSpriteImage() {
		return isSpriteImage;
	}

}
